import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Weltraum extends World
{

    public Weltraum()
    {    
        super(1000, 700, 1); 
        this.fillWorld();
    }

    public void act() {
        if(Greenfoot.getRandomNumber(1000) > 985) {
            this.placeMeteorOnWorld();
        }
    }


    public void fillWorld() {
        this.placeMeteorOnWorld();
        Rakete eineRakete = new Rakete();
        this.addObject(eineRakete, 80, 350);
    }

    public void placeMeteorOnWorld() {
        Meteor einMeteor = new Meteor();
        this.addObject(einMeteor, 1000, Greenfoot.getRandomNumber(700));
    }
}